using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp39
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string red = Console.ReadLine();
            string[] pomocni = red.Split();;
            int a = int.Parse(pomocni[0]);
            int b = int.Parse(pomocni[1]);
            red = Console.ReadLine();
            pomocni = red.Split();
            int x = int.Parse(pomocni[0]);
            int y = int.Parse(pomocni[1]);
            if (x == a && y == b) Console.WriteLine("nijedan");
            else if (x < a && y < b) Console.WriteLine('?');
            else if (x == a && y < b) Console.WriteLine("drugi");
            else Console.WriteLine("prvi");
        }
    }
}